PrefabFiles = {
	"elektro",
	"elektro_none",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/elektro.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/elektro.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/elektro.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/elektro.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/elektro_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/elektro_silho.xml" ),

    Asset( "IMAGE", "bigportraits/elektro.tex" ),
    Asset( "ATLAS", "bigportraits/elektro.xml" ),
	
	Asset( "IMAGE", "images/map_icons/elektro.tex" ),
	Asset( "ATLAS", "images/map_icons/elektro.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_elektro.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_elektro.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_elektro.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_elektro.xml" ),
	
	Asset( "IMAGE", "images/avatars/self_inspect_elektro.tex" ),
    Asset( "ATLAS", "images/avatars/self_inspect_elektro.xml" ),
	
	Asset( "IMAGE", "images/names_elektro.tex" ),
    Asset( "ATLAS", "images/names_elektro.xml" ),
	
    Asset( "IMAGE", "bigportraits/elektro_none.tex" ),
    Asset( "ATLAS", "bigportraits/elektro_none.xml" ),

}

local require = GLOBAL.require
local STRINGS = GLOBAL.STRINGS

-- The character select screen lines
STRINGS.CHARACTER_TITLES.elektro = "The Fallen Star"
STRINGS.CHARACTER_NAMES.elektro = "Elektro"
STRINGS.CHARACTER_DESCRIPTIONS.elektro = "*Dies fast, runs faster"
STRINGS.CHARACTER_QUOTES.elektro = "\"I was Elektro, you were the viewer...\""

-- Custom speech strings
STRINGS.CHARACTERS.ELEKTRO = require "speech_elektro"

-- The character's name as appears in-game 
STRINGS.NAMES.elektro = "Elektro"

AddMinimapAtlas("images/map_icons/elektro.xml")

-- Add mod character to mod character list. Also specify a gender. Possible genders are MALE, FEMALE, ROBOT, NEUTRAL, and PLURAL.
AddModCharacter("elektro", "MALE")

